services:
  n8n:
    container_name: n8n
    build: .
    user: "node:1001"
    restart: always
    ports:
      - "127.0.0.1:5678:5678"
    environment:
      - TZ=Europe/Hamburg
    volumes:
      - /mnt/c/Tools/docker/n8n:/home/node/.n8n
      - /var/run/docker.sock:/var/run/docker.sock:Z
      - /mnt/c/Users/i.meszely/Gitea/WPanda/Dev:/home/node/dev
    networks:
      - shared-network

volumes:
  n8n_data:
    driver: local

networks:
  shared-network:
    external: true
